CVE-2013-4854

NameCVE-2013-4854
DescriptionThe RFC 5011 implementation in rdata.c in ISC BIND 9.7.x and 9.8.x before 9.8.5-P2, 9.8.6b1, 9.9.x before 9.9.3-P2, and 9.9.4b1, and DNSco BIND 9.9.3-S1 before 9.9.3-S1-P1 and 9.9.4-S1b1, allows remote attackers to cause a denial of service (assertion failure and named daemon exit) via a query with a malformed RDATA section that is not properly handled during construction of a log message, as exploited in the wild in July 2013.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-2728-1
NVD severityhigh (attack range: remote)
Debian Bugs717936

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
bind9 (PTS)wheezy1:9.8.4.dfsg.P1-6+nmu2+deb7u10fixed
wheezy (security)1:9.8.4.dfsg.P1-6+nmu2+deb7u13fixed
jessie1:9.9.5.dfsg-9+deb8u6fixed
jessie (security)1:9.9.5.dfsg-9+deb8u8fixed
stretch, sid1:9.10.3.dfsg.P4-10.1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
bind9source(unstable)1:9.8.4.dfsg.P1-6+nmu3high717936
bind9sourcesqueeze1:9.7.3.dfsg-1~squeeze11highDSA-2728-1
bind9sourcewheezy1:9.8.4.dfsg.P1-6+nmu2+deb7u1highDSA-2728-1

Notes

https://kb.isc.org/article/AA-01015/0

Search for package or bug name: Reporting problems